diff --git a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
index 1670333..c0148ba 100644
--- a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
+++ b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
@@ -563,75 +835,114 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                             ),
 
                             // Baris Data Penerima
-                            ListView.builder(
-                              shrinkWrap: true,
-                              physics: const NeverScrollableScrollPhysics(),
-                              itemCount: controller.daftarPenerima.length,
-                              itemBuilder: (context, index) {
-                                final penerima =
-                                    controller.daftarPenerima[index];
-                                final wargaNik = penerima.warga != null
-                                    ? penerima.warga!['nik'] ?? '-'
-                                    : '-';
-                                final wargaNama = penerima.warga != null
-                                    ? penerima.warga!['nama_lengkap'] ?? '-'
-                                    : '-';
+                            ClipRRect(
+                              borderRadius: BorderRadius.circular(10),
+                              child: ListView.builder(
+                                shrinkWrap: true,
+                                physics: const NeverScrollableScrollPhysics(),
+                                itemCount: controller.daftarPenerima.length,
+                                itemBuilder: (context, index) {
+                                  final penerima =
+                                      controller.daftarPenerima[index];
+                                  final wargaNik = penerima.warga != null
+                                      ? penerima.warga!['nik'] ?? '-'
+                                      : '-';
+                                  final wargaNama = penerima.warga != null
+                                      ? penerima.warga!['nama_lengkap'] ?? '-'
+                                      : '-';
 
-                                final jumlah = penerima.jumlahBantuan != null
-                                    ? '${penerima.jumlahBantuan} ${penerima.satuan ?? ''}'
-                                    : '-';
+                                  final statusColor = _getStatusColor(
+                                      penerima.statusPenerimaan);
+                                  final isEven = index % 2 == 0;
 
-                                return Container(
-                                  padding: const EdgeInsets.symmetric(
-                                      vertical: 12, horizontal: 12),
-                                  decoration: BoxDecoration(
-                                    border: Border(
-                                      bottom: BorderSide(
-                                          color: Colors.grey.shade200),
+                                  return Container(
+                                    decoration: BoxDecoration(
+                                      color: isEven
+                                          ? Colors.grey.shade50
+                                          : Colors.white,
+                                      border: Border(
+                                        bottom: BorderSide(
+                                            color: Colors.grey.shade200),
+                                      ),
                                     ),
-                                  ),
-                                  child: Row(
-                                    children: [
-                                      Expanded(
-                                        flex: 3,
-                                        child: Text(wargaNik),
-                                      ),
-                                      Expanded(
-                                        flex: 3,
-                                        child: Text(wargaNama),
-                                      ),
-                                      Expanded(
-                                        flex: 2,
-                                        child: Text(
-                                          jumlah,
-                                          textAlign: TextAlign.center,
-                                        ),
-                                      ),
-                                      Expanded(
-                                        flex: 2,
-                                        child: Container(
+                                    child: Material(
+                                      color: Colors.transparent,
+                                      child: InkWell(
+                                        onTap: () {
+                                          // Tambahkan aksi detail penerima jika perlu
+                                        },
+                                        child: Padding(
                                           padding: const EdgeInsets.symmetric(
-                                              horizontal: 6, vertical: 4),
-                                          decoration: BoxDecoration(
-                                            color: _getStatusColor(
-                                                penerima.statusPenerimaan),
-                                            borderRadius:
-                                                BorderRadius.circular(12),
-                                          ),
-                                          child: Text(
-                                            penerima.statusPenerimaan ?? '-',
-                                            style: const TextStyle(
-                                              fontSize: 10,
-                                              color: Colors.white,
-                                            ),
-                                            textAlign: TextAlign.center,
+                                              vertical: 12, horizontal: 15),
+                                          child: Row(
+                                            children: [
+                                              Expanded(
+                                                flex: 3,
+                                                child: Row(
+                                                  children: [
+                                                    Expanded(
+                                                      child: Text(
+                                                        wargaNik,
+                                                        style: const TextStyle(
+                                                          fontWeight:
+                                                              FontWeight.w500,
+                                                        ),
+                                                      ),
+                                                    ),
+                                                  ],
+                                                ),
+                                              ),
+                                              Expanded(
+                                                flex: 4,
+                                                child: Text(
+                                                  wargaNama,
+                                                  style: const TextStyle(
+                                                    fontWeight: FontWeight.w600,
+                                                  ),
+                                                ),
+                                              ),
+                                              Expanded(
+                                                flex: 3,
+                                                child: Center(
+                                                  child: Container(
+                                                    padding: const EdgeInsets
+                                                        .symmetric(
+                                                        horizontal: 8,
+                                                        vertical: 5),
+                                                    decoration: BoxDecoration(
+                                                      color: statusColor
+                                                          .withOpacity(0.15),
+                                                      borderRadius:
+                                                          BorderRadius.circular(
+                                                              20),
+                                                      border: Border.all(
+                                                        color: statusColor
+                                                            .withOpacity(0.3),
+                                                      ),
+                                                    ),
+                                                    child: Text(
+                                                      penerima.statusPenerimaan ??
+                                                          '-',
+                                                      style: TextStyle(
+                                                        fontSize: 12,
+                                                        fontWeight:
+                                                            FontWeight.bold,
+                                                        color: statusColor,
+                                                      ),
+                                                      textAlign:
+                                                          TextAlign.center,
+                                                    ),
+                                                  ),
+                                                ),
+                                              ),
+                                            ],
                                           ),
                                         ),
                                       ),
-                                    ],
-                                  ),
-                                );
-                              },
+                                    ),
+                                  );
+                                },
+                              ),
                             ),
                           ],
                         ),
@@ -648,70 +959,155 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                     const SizedBox(height: 24),
                     Card(
                       margin: EdgeInsets.zero,
-                      elevation: 2,
+                      elevation: 3,
                       shape: RoundedRectangleBorder(
-                        borderRadius: BorderRadius.circular(12),
+                        borderRadius: BorderRadius.circular(16),
                       ),
                       child: Padding(
-                        padding: const EdgeInsets.all(16),
+                        padding: const EdgeInsets.all(20),
                         child: Column(
                           crossAxisAlignment: CrossAxisAlignment.start,
                           children: [
-                            const SectionHeader(
-                              title: 'Dokumentasi & Berita Acara',
+                            Row(
+                              children: [
+                                Icon(
+                                  Icons.file_copy,
+                                  color: AppTheme.primaryColor,
+                                  size: 24,
+                                ),
+                                const SizedBox(width: 10),
+                                const Text(
+                                  'Dokumentasi & Berita Acara',
+                                  style: TextStyle(
+                                    fontSize: 18,
+                                    fontWeight: FontWeight.bold,
+                                  ),
+                                ),
+                              ],
                             ),
-                            const SizedBox(height: 16),
+                            const Divider(height: 25),
 
                             // Dokumentasi
                             if (controller
                                     .selectedLaporan.value?.dokumentasiUrl !=
                                 null) ...[
-                              const Text(
-                                'Dokumentasi:',
-                                style: TextStyle(
-                                  fontSize: 14,
-                                  fontWeight: FontWeight.bold,
-                                  color: Colors.grey,
+                              Container(
+                                padding: const EdgeInsets.all(16),
+                                decoration: BoxDecoration(
+                                  color: Colors.blue.shade50,
+                                  borderRadius: BorderRadius.circular(12),
+                                  border:
+                                      Border.all(color: Colors.blue.shade100),
                                 ),
-                              ),
-                              const SizedBox(height: 8),
-                              ClipRRect(
-                                borderRadius: BorderRadius.circular(10),
-                                child: Image.network(
-                                  controller
-                                      .selectedLaporan.value!.dokumentasiUrl!,
-                                  width: double.infinity,
-                                  height: 200,
-                                  fit: BoxFit.cover,
-                                  errorBuilder: (context, error, stackTrace) =>
-                                      Container(
-                                    width: double.infinity,
-                                    height: 50,
-                                    color: Colors.grey[200],
-                                    child: const Center(
-                                      child: Text('Gagal memuat gambar'),
+                                child: Column(
+                                  crossAxisAlignment: CrossAxisAlignment.start,
+                                  children: [
+                                    Row(
+                                      children: [
+                                        Icon(
+                                          Icons.photo_library,
+                                          color: Colors.blue.shade700,
+                                          size: 22,
+                                        ),
+                                        const SizedBox(width: 10),
+                                        const Text(
+                                          'Dokumentasi Kegiatan',
+                                          style: TextStyle(
+                                            fontSize: 16,
+                                            fontWeight: FontWeight.bold,
+                                            color: Colors.black87,
+                                          ),
+                                        ),
+                                      ],
                                     ),
-                                  ),
-                                ),
-                              ),
-                              const SizedBox(height: 16),
-                              Center(
-                                child: ElevatedButton.icon(
-                                  onPressed: () async {
-                                    final Uri url = Uri.parse(controller
-                                        .selectedLaporan
-                                        .value!
-                                        .dokumentasiUrl!);
-                                    if (!await launchUrl(url)) {
-                                      throw Exception(
-                                          'Tidak dapat membuka $url');
-                                    }
-                                  },
-                                  icon: const Icon(Icons.image),
-                                  label: const Text('Lihat Dokumentasi'),
-                                  style: ElevatedButton.styleFrom(
-                                    backgroundColor: Colors.blue,
-                                  ),
+                                    const SizedBox(height: 16),
+                                    Container(
+                                      height: 220,
+                                      width: double.infinity,
+                                      decoration: BoxDecoration(
+                                        borderRadius: BorderRadius.circular(12),
+                                        boxShadow: [
+                                          BoxShadow(
+                                            color:
+                                                Colors.black.withOpacity(0.1),
+                                            blurRadius: 10,
+                                            offset: const Offset(0, 5),
+                                          ),
+                                        ],
+                                      ),
+                                      child: ClipRRect(
+                                        borderRadius: BorderRadius.circular(12),
+                                        child: Image.network(
+                                          controller.selectedLaporan.value!
+                                              .dokumentasiUrl!,
+                                          width: double.infinity,
+                                          height: 220,
+                                          fit: BoxFit.cover,
+                                          errorBuilder:
+                                              (context, error, stackTrace) =>
+                                                  Container(
+                                            width: double.infinity,
+                                            height: 150,
+                                            color: Colors.grey[300],
+                                            child: const Center(
+                                              child: Column(
+                                                mainAxisAlignment:
+                                                    MainAxisAlignment.center,
+                                                children: [
+                                                  Icon(
+                                                    Icons.image_not_supported,
+                                                    color: Colors.grey,
+                                                    size: 48,
+                                                  ),
+                                                  SizedBox(height: 10),
+                                                  Text(
+                                                    'Gagal memuat gambar',
+                                                    style: TextStyle(
+                                                      color: Colors.grey,
+                                                      fontWeight:
+                                                          FontWeight.bold,
+                                                    ),
+                                                  ),
+                                                ],
+                                              ),
+                                            ),
+                                          ),
+                                        ),
+                                      ),
+                                    ),
+                                    const SizedBox(height: 16),
+                                    Row(
+                                      mainAxisAlignment: MainAxisAlignment.end,
+                                      children: [
+                                        ElevatedButton.icon(
+                                          onPressed: () async {
+                                            final Uri url = Uri.parse(controller
+                                                .selectedLaporan
+                                                .value!
+                                                .dokumentasiUrl!);
+                                            if (!await launchUrl(url)) {
+                                              throw Exception(
+                                                  'Tidak dapat membuka $url');
+                                            }
+                                          },
+                                          icon: const Icon(Icons.open_in_new),
+                                          label:
+                                              const Text('Lihat Dokumentasi'),
+                                          style: ElevatedButton.styleFrom(
+                                            backgroundColor:
+                                                Colors.blue.shade700,
+                                            elevation: 0,
+                                            shape: RoundedRectangleBorder(
+                                              borderRadius:
+                                                  BorderRadius.circular(8),
+                                            ),
+                                            padding: const EdgeInsets.symmetric(
+                                                horizontal: 16, vertical: 10),
+                                          ),
+                                        ),
+                                      ],
+                                    ),
+                                  ],
                                 ),
                               ),
                             ],
